Class List Method List File List

# Class: OSX::NSSize

Inherits:
  Object
  - Object
  - OSX::NSSize
  show all
Defined in:
  src/ruby/osx/objc/oc_types.rb

## Overview

NSSize additions.

Examples:

    size = OSX::NSSize.new(100, 200)
    => #<OSX::NSSize width=100.0, height=200.0>
    size.width = 120
    => 120
    size * 2
    => #<OSX::NSSize width=240.0, height=400.0>

## Instance Method Summary (collapse)

- - (Object) *(v)
- - (Object) +(v)
- - (Object) -(v)
- - (Object) /(v)
- - (Object) inspect

## Instance Method Details

### - (`Object`) *(v)

    116
    # File 'src/ruby/osx/objc/oc_types.rb', line 116

    def *(v); OSX::NSSize.new(width * v, height * v); end

### - (`Object`) +(v)

    117
    # File 'src/ruby/osx/objc/oc_types.rb', line 117

    def +(v); OSX::NSSize.new(width + v, height + v); end

### - (`Object`) -(v)

    118
    # File 'src/ruby/osx/objc/oc_types.rb', line 118

    def -(v); OSX::NSSize.new(width - v, height - v); end

### - (`Object`) /(v)

    115
    # File 'src/ruby/osx/objc/oc_types.rb', line 115

    def /(v); OSX::NSSize.new(width / v, height / v); end

### - (`Object`) inspect

    119
    # File 'src/ruby/osx/objc/oc_types.rb', line 119

    def inspect; "#<#{self.class} width=#{width}, height=#{height}>"; end